[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TForm.Create

Constructor for the class instance.

## Declaration

Source position: forms.pp line 842

`public constructor TForm.Create(`
`TheOwner: TComponent`
`); override;`

## Arguments

`TheOwner` |  | Owner of the form instance.

## Description

Create is an overridden constructor for the class instance. Create ensures that the LCLVersion property is updated with the value from the lcl_version constant in the LCLVersion unit. Create calls the inherited constructor prior to exiting from the method.

## See also

TCustomForm.Create |  | Constructor for the class instance.
TCustomForm.CreateNew |  | Creates a form instance without a resource (.lfm) file.
lcl_version |  | LCL version string.